---
title: Shield Create
description: Add a new blacklisted entity to the BCFI database with all available details about the individual.
---

BCFI – Business Correspondent Federation of India has issued a list of entities who have been blacklisted by banks or have criminal records for forgery, murder etc. Shield create is used to add a new entity to the list who has been identified for doing malpractices with all the available details.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/shield/api/create
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| content-type  required | String | application/json | `application/x-www-form-urlencoded` |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self+ $header.code::$secret_key; sha256(<concate all values+SECRET KEY>); (required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| code  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| agent_name  required | text  <br>(3-70) | Name of the agent. | `Arsen` |
| corporate_bc_name  required | text  <br>(3-70) | Corporate name for the agent | `corpa lithin` |
| mobile_no  required | text  <br>(10) | Mobile Number | `9XXXXXX989` |
| city  required | text  <br>(1-70) | Name of the city | `Mumbai` |
| state  optional | text  <br>(1-70) | Name of the state. | `Kerala` |
| address  required | text  <br>(1-225) | Address | `drsd` |
| pin_code  optional | Numeric  <br>(6) | Pincode |
| aadhaar_no  optional | text  <br>(4) | Aadhar Number( taking last four digits only) | `0101` |
| pan_no  required | text  <br>(10) | pancard Number | `CCVSV1111D` |
| blacklisted_date  optional | text | Blacklisted date in dd-mm-yyyy format (format dd-mm-yyyy) | `02-06-2025` |
| blacklisted_reason  required | text  <br>(1-100) | Reason for blacklisted | `test reason` |
| bank  optional | text  <br>(1-100) | bank name | `HDFC` |
| ifsc  optional | text  <br>(15) | bank ifsc code | `HDFCBK002123` |
| account_no  optional | text  <br>(20) | Account Number | `xsdf123123` |
| is_police_complaint  required | text | is_police_complaint flag (acceptable values (Y/N), required) | `Y,N` |
| complaint_no  required | text  <br>(1-70) | Complaint Number(only required if is_police_complaint is Y) | `123123D` |
| complaint_date  required | date | Complaint date in dd-mm-yyyy format (format dd-mm-yyyy, only required if is_police_complaint is Y) | `12-12-2022` |
| arrested  optional | text | arrested status (acceptable values (Y/N)) | `Y,N` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric<br>(`3`) | airpay status | `400,,200` |
| message  required | Text | airpay status message | `success,fail` |
| data  required | Text | Json response { "status": status code, "message": response message, "data":[ {"parameter":"array required data"}] } |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/shield/api/create' \
--header 'code: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'agent_name=Arsen' \
--data-urlencode 'corporate_bc_name=corpa lithin' \
--data-urlencode 'mobile_no=9XXXXXX989' \
--data-urlencode 'city=Mumbai' \
--data-urlencode 'state=Maharashtra' \
--data-urlencode 'address=drsd' \
--data-urlencode 'aadhaar_no=0101' \
--data-urlencode 'blacklisted_reason=test reason' \
--data-urlencode 'bank=HDFC' \
--data-urlencode 'ifsc=HDFCBK002123' \
--data-urlencode 'account_no=xsdf123123' \
--data-urlencode 'is_police_complaint=Y' \
--data-urlencode 'complaint_no=123123D' \
--data-urlencode 'complaint_date=12-12-2022' \
--data-urlencode 'arrested=N'
```

### Success Response

```
{
    "status": 200,
    "message": "Success",
    "data": {
        "message": "Merchant Added Successfully.",
        "merchant_id": 23
    },
    "checksum": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```